#!/usr/bin/perl
use strict;
no warnings;

use Win32::API;
our $handle=chr(0)x4;
our $handleptr=\$handle;

our $buf1=chr(0)x4;
our $buf2=chr(0)x4;

our $nazev='SCOPEWIN' . chr(0);

our $open = Win32::API->new('TEDIA_DAQ01', 'Td_Init_Driver', 'PP', 'N');
our $return = 0; #chr(0)x4;
$return = $open->Call($buf1, $nazev);
our $handle_i=ord($buf1)+(ord(substr($buf1,1,1))*256)+(ord(substr($buf1,2,1))*256*256)+(ord(substr($buf1,3,1))*256*256*256);
print "RET Td_Init_Driver: $return \n";
print "Handle v pameti: $handle_i \n";

our $config = Win32::API->new('TEDIA_DAQ01', 'Td_Config_Acquisition', 'NNNNN', 'N');
$return = $config->Call($handle_i, 0, 0, 0, 1);
print "RET Td_Config_Acquisition: $return \n";

our $start = Win32::API->new('TEDIA_DAQ01', 'Td_Start_Acquisition', 'NN', 'N');
$return = $start->Call($handle_i, 1);
print "RET Td_Start_Acquisition: $return \n";


our $measure = Win32::API->new('TEDIA_DAQ01', 'Td_Get_SingleAcquisition', 'NPN', 'N');
$return = $measure->Call($handle_i, $buf1, 1);
our $sample=ord($buf1)+(ord(substr($buf1,1,1))*256)+(ord(substr($buf1,2,1))*256*256)+(ord(substr($buf1,3,1))*256*256*256);
print "RET Td_Get_SingleAcquisition: $return \n";
print "Kanal A: $sample \n";

our $close = Win32::API->new('TEDIA_DAQ01', 'Td_Close_Driver', 'N', 'N');
$return = $close->Call($handle_i);
print "RET Td_Close_Driver: $return \n";