VERSION 5.00
Begin VB.Form exmaple_analog 
   Caption         =   "Pklad vyuit analogov sti modulu"
   ClientHeight    =   2655
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3870
   LinkTopic       =   "Form1"
   ScaleHeight     =   2655
   ScaleWidth      =   3870
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Text5 
      Height          =   285
      Left            =   1200
      TabIndex        =   10
      Text            =   "0"
      Top             =   2160
      Width           =   975
   End
   Begin VB.TextBox Text4 
      Height          =   285
      Left            =   1200
      TabIndex        =   8
      Text            =   "0"
      Top             =   1800
      Width           =   975
   End
   Begin VB.TextBox Text3 
      Height          =   285
      Left            =   1200
      TabIndex        =   6
      Text            =   "0"
      Top             =   1440
      Width           =   975
   End
   Begin VB.TextBox Text2 
      Height          =   285
      Left            =   1200
      TabIndex        =   4
      Text            =   "0"
      Top             =   1080
      Width           =   975
   End
   Begin VB.TextBox Text1 
      Height          =   285
      Left            =   1200
      TabIndex        =   2
      Text            =   "0"
      Top             =   720
      Width           =   975
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Stop men"
      Enabled         =   0   'False
      Height          =   375
      Left            =   1680
      TabIndex        =   1
      Top             =   120
      Width           =   1095
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Start men"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label Label5 
      Caption         =   "ta 0"
      Height          =   255
      Left            =   480
      TabIndex        =   11
      Top             =   2205
      Width           =   855
   End
   Begin VB.Label Label4 
      Caption         =   "Kanl 3"
      Height          =   255
      Left            =   480
      TabIndex        =   9
      Top             =   1845
      Width           =   855
   End
   Begin VB.Label Label3 
      Caption         =   "Kanl 2"
      Height          =   255
      Left            =   480
      TabIndex        =   7
      Top             =   1485
      Width           =   855
   End
   Begin VB.Label Label2 
      Caption         =   "Kanl 1"
      Height          =   255
      Left            =   480
      TabIndex        =   5
      Top             =   1125
      Width           =   855
   End
   Begin VB.Label Label1 
      Caption         =   "Kanl 0"
      Height          =   255
      Left            =   480
      TabIndex        =   3
      Top             =   765
      Width           =   855
   End
   Begin VB.Shape Shape1 
      Height          =   1935
      Left            =   120
      Top             =   600
      Width           =   3615
   End
End
Attribute VB_Name = "exmaple_analog"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim Ihandle As Long  'Handle otevrene karty
Dim Fis_open As Boolean 'Priznak: karta je otevrena
Dim Fis_running As Boolean 'Priznak: probiha mereni


Private Sub Command1_Click()
  Dim I As Long
  Dim J As Long
  
  Dim Str_tmp As String
  Dim result_ As Long
  Dim period As Double
  Dim frequency As Double

  Dim buffer_loc(1000) As Long  'Pomocny buffer pro vycitani dat
  Dim count_new_row As Long     'Pocet nove prijatych vzorku
  
  Dim kompletnich_vzorku As Long
  'Pokud neni otevrena karta tak ji otevreme

  'Nastavime 4 analogove vstupni kanaly, zesileni zvolime pro vsechny 1x
  For I = 0 To 3
    result_ = Td_Config_Acquisition(Ihandle, I, 0, I, 5)
    If result_ <> 0 Then
      result_ = MsgBox("Nezdarena inicializace karty!", 0, "", "", 1000)
      GoTo end_line
    End If
  Next I

  result_ = Td_Config_Acquisition(Ihandle, 256, 0, 4, 5)
  If result_ <> 0 Then
    result_ = MsgBox("Nezdarena inicializace karty!", 0, "", "", 1000)
    GoTo end_line
  End If
    
  'odesleme data scan. citacum
  result_ = Td_Config_ScanCounter(Ihandle, 1, 0)
  If result_ <> 0 Then
    result_ = MsgBox("Nepodarilo se nastavit citac!", 0, "", "", 1000)
    GoTo end_line
  End If

  'nastavime frekvenci
  period = 0
  frequency = 50 'Frekvence zjistovani dat: 50Hz
  result_ = Td_Config_Timing_Acquisition(Ihandle, frequency, period)
  If result_ <> 0 Then
    result_ = MsgBox("Nepodarilo se nastavit frekvenci casovace!", 0, "", "", 1000)
    GoTo end_line
  End If

  'Odstarujeme mereni s SW rizenim
  result_ = Td_Start_Acquisition(Ihandle, 2)
  If result_ <> 0 Then
    result_ = MsgBox("Nepodarilo se odstartovat mereni!", 0, "", "", 1000)
    GoTo end_line
  End If

  count_new_row = 0
  Fis_running = True

  Command1.Enabled = False
  Command2.Enabled = True
  
  While (Fis_running) And (Fis_open) 'Tato smycka se prerusi ukonceni formulare (OnClose nastavi is_running na false)

    'Posleme si pro data
    result_ = Td_Get_Buffer_Data(Ihandle, buffer_loc(0), 1000, count_new_row)
    If result_ <> 0 Then
      result_ = MsgBox("Nepodarilo se namerit hodnoty!", 0, "", "", 1000)
      GoTo end_line
    End If

    
    kompletnich_vzorku = count_new_row / 5
    If (kompletnich_vzorku > 0) Then 'prisly nejake data?
      For I = 0 To kompletnich_vzorku - 1         'Tak je zobrazim
        Text1.Text = Str(buffer_loc(I * 5 + 0))
        Text2.Text = Str(buffer_loc(I * 5 + 1))
        Text3.Text = Str(buffer_loc(I * 5 + 2))
        Text4.Text = Str(buffer_loc(I * 5 + 3))
        Text5.Text = Str(buffer_loc(I * 5 + 4))
        Text1.Refresh
        Text2.Refresh
        Text3.Refresh
        Text4.Refresh
        Text5.Refresh
      Next I
    End If
    DoEvents
  Wend

end_line:
End Sub

Private Sub Command2_Click()
  Command1.Enabled = True
  Command2.Enabled = False
  Dim result_ As Long
  result_ = Td_Stop_Acquisition(Ihandle)
  If result_ <> 0 Then
    result_ = MsgBox("Nezdarilo se zastavit mereni!", 0, "", "", 1000)
    GoTo end_line
  End If
  Fis_running = False
end_line:
End Sub

Private Sub Form_Load()
  Dim result_ As Long
  Dim n_param As Double
  Dim t_param As Long
  Dim Str_tmp As String
  Dim Str_tmp1 As String
  Str_tmp = "12"
  Str_tmp1 = "13"
  result_ = Td_Get_ErrorMessage(10000, Str_tmp, Str_tmp1)
  If result_ <> 0 Then
    result_ = MsgBox("Nenalezena pouiteln zazen pro tento pklad, pojmenujte kartu EXAM_ANALOG!", 0, "", "", 1000)
    End
  End If
  
  
  'Zavolam si funkci Td_Get_CardList a zjistim vsechny karty aktivni v regisrech
  result_ = Td_Init_Driver(Ihandle, "EXAM_ANALOG")
  If result_ <> 0 Then
    result_ = MsgBox("Nenalezena pouiteln zazen pro tento pklad, pojmenujte kartu EXAM_ANALOG!", 0, "", "", 1000)
    End
  End If
   
  Fis_open = True
end_line:
End Sub


Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
  Dim result_ As Long
  If Fis_open Then  'Ukoncuji formular =>zavru spojeni
    result_ = Td_Close_Driver(Ihandle)
    If result_ <> 0 Then
      result_ = MsgBox("Nepodarilo se ukoncit spojeni s kartou!", 0, "", "", 1000)
    End If
    Fis_running = False
    Fis_open = False
  End If
End Sub

