//----------------------------------------------------------------------------
//  tedia_daq01h.pas
//
//        Hlavikov soubor pro zpstupnn tedia_daq01.dll (verze 2.33), uren pro Delphi.
//
//----------------------------------------------------------------------------

unit tedia_daq01h;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

const
  HI_LEVEL_NAME='tedia_DAQ01.dll';

type
  PByte=^Byte;
  PInt=^integer;
  PWord=^word;
  PDWord=^DWord;
  PDouble=^double;
  PHandle=DWord;
  PPHandle=^PHandle;


TProc_buffer= procedure(handle:PHandle;Pmy_body:pointer;buffer:PDWord;size_of_buffer:DWord);  stdcall;

function Td_Close_Driver(handle:PHandle):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Config_Ability_Generate_IRQ(handle:PHandle;global_ability:DWord;irqcfgreg:DWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Config_Acquisition(handle:PHandle;parametr0:DWord;parametr1:DWord;index_of_channel:DWord;number_of_channels:DWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Config_DIO(handle:PHandle;parametr0:DWord;parametr1:DWord;index_of_dio:DWORD):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Config_Generating(handle:PHandle;parametr0:DWord;parametr1:DWord;index_of_channel:DWord;number_of_channels:DWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Config_Generating_Mode(handle:PHandle;p_mode:DWord;d_mode:DWord;wait_for_acquisition:DWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Config_IRQTimer(handle:PHandle;frequency:PDouble;period:PDouble):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Config_ScanCounter(handle:PHandle;parametr0:DWord;indef_of_scan_counter:DWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Config_Timing_Acquisition(handle:PHandle;frequency:PDouble;period:PDouble):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Config_Timing_Generating(handle:PHandle;frequency:PDouble;period:PDouble):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Driver_Version(version_hi:PDWord;version_low:PDWord;select:DWord):DWord; stdcall;external HI_LEVEL_NAME;
function Td_Get_Buffer_Data(handle:PHandle;buffer:PDWord;size_buffer:DWord;recorded_row:PDWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Get_Buffer_Status(handle:PHandle;count_new_row:PDWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Get_Counter(handle:PHandle;index_of_counter:DWord;buffer:PDWord;number_of_counters:DWord;source:DWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Get_Counter_Status(handle:PHandle;index_of_counter:DWord;parameter:DWord;value:PDWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Get_DeviceName(name:PChar;index_of_device:DWord):DWord; stdcall; external HI_LEVEL_NAME;
function Td_Get_DeviceType(name_of_type:PChar;index_of_type:DWord):DWord;stdcall; external HI_LEVEL_NAME;
function Td_Get_DI(handle:PHandle;index_of_input:DWord;buffer:PDWord;number_of_inputs:DWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Get_ErrorMessage(error:DWord;name_of_function:PChar;name_of_error:PChar):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Get_Generating_Status(handle:PHandle;name_of_parameter:DWord;result:PDWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Get_Info_DeviceName(name:PChar;parameter:DWord;numerical_result:PDouble;alphanumeric_result:PChar;type_of_result:PDWord):DWord; stdcall; external HI_LEVEL_NAME;
function Td_Get_Info_DeviceType(name_of_type:PChar;parameter:DWord;numerical_result:PDouble;alphanumeric_result:PChar;type_of_result:PDWord):DWord; stdcall; external HI_LEVEL_NAME;
function Td_Get_Number_Of_Devices(number_of_devices:PDWord):DWord; stdcall; external HI_LEVEL_NAME;
function Td_Get_Number_Of_Types(number_of_types:PDWord):DWord;stdcall; external HI_LEVEL_NAME;
function Td_Get_Parameters(handle:PHandle;parameter:DWord;numerical_result:PDouble;alphanumeric_result:PChar;result_type:PDWord):DWord; stdcall; external HI_LEVEL_NAME;
function Td_Get_SingleAcquisition(handle:PHandle;buffer:PDWord;size_of_buffer:DWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Get_State_Buffer_Data_Input(handle:PHandle;state:PDWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Init_Driver(handle:PPHandle;name:PChar):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Load_Counter(handle:PHandle;source:DWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Load_Counter_Status(handle:PHandle):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Read_DevEE(handle:PHandle;index_of_page:DWORD;buffer:PDWORD):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Save_Counter(handle:PHandle):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Save_Counter_Parameters(handle:PHandle):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Save_StartStop_Counter(handle:PHandle):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Set_AO(handle:PHandle;index_of_output:DWord;buffer:PDWord;number_of_outputs:DWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Set_Buffer_Data(handle:PHandle;buffer:PDWord;size_buffer:DWord;number_of_set:PDWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Set_Counter(handle:PHandle;index_of_counter:DWord;buffer:PDWord;number_of_counters:DWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Set_Counter_Parameters(handle:PHandle;index_of_counter:DWord;parameter:DWord;value:DWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Set_DO(handle:PHandle;index_of_output:DWord;buffer:PDWord;number_of_outputs:DWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Set_Parameters(handle:PHandle;parameter:DWord;numerical_input:double;alphanumeric_input:PChar;type_of_input:DWord;permanency:DWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Size_DevEE(handle:PHandle;size:PDWORD):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Start_Acquisition(handle:PHandle;p_mode:DWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Start_Buffer_Data_Request(handle:PHandle;Pprocedure_simple:TProc_buffer;request_row,call_proc_every:DWord;my_body:pointer):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Start_Buffer_Data_Request_Sync(handle:PHandle;Pprocedure_simple:TProc_buffer;request_row,call_proc_every:DWord;Pmy_body:pointer):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Start_Counter(handle:PHandle;index_of_counter:DWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Start_Generating(handle:PHandle):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Stop_Acquisition(handle:PHandle):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Stop_Buffer_Data_Request(handle_:PHandle):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Stop_Counter(handle:PHandle;index_of_counter:DWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Stop_Generating(handle:PHandle):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Visual_Administrate():DWord;stdcall;external HI_LEVEL_NAME;
function Td_Visual_Parameters(handle:PHandle):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Wait_For_IRQ(handle:PHandle;timeout:DWord;status:PDWord;result_IRQ:PDWord):DWord;stdcall;external HI_LEVEL_NAME;
function Td_Write_DevEE(handle:PHandle;index_of_page:DWORD;buffer:PDWORD):DWord;stdcall;external HI_LEVEL_NAME;

implementation

end.