Option Strict Off
Option Explicit On
Module tedia_daq01h
	'----------------------------------------------------------------------------
	'  tedia_daq01h.bas
	'
	'     Hlavikov soubor pro zpstupnn tedia_daq01.dll (verze 2.33), uren pro peklada Visual Basic.
	'----------------------------------------------------------------------------
	
	
	Public Declare Function Td_Close_Driver Lib "tedia_DAQ01" (ByVal handle As Integer) As Integer
	Public Declare Function Td_Config_Ability_Generate_IRQ Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal global_ability As Integer, ByVal irqcfgreg As Integer) As Integer
	Public Declare Function Td_Config_Acquisition Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal parametr0 As Integer, ByVal parametr1 As Integer, ByVal index_of_channel As Integer, ByVal number_of_channels As Integer) As Integer
	Public Declare Function Td_Config_DIO Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal parametr0 As Integer, ByVal parametr1 As Integer, ByVal index_of_dio As Integer) As Integer
	Public Declare Function Td_Config_Generating Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal parametr0 As Integer, ByVal parametr1 As Integer, ByVal index_of_channel As Integer, ByVal number_of_channels As Integer) As Integer
	Public Declare Function Td_Config_Generating_Mode Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal p_mode As Integer, ByVal d_mode As Integer, ByVal wait_for_acquisitionAs As Integer) As Integer
	Public Declare Function Td_Config_IRQTimer Lib "tedia_DAQ01" (ByVal handle As Integer, ByRef frequency As Double, ByRef period As Double) As Integer
	Public Declare Function Td_Config_ScanCounter Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal parametr0 As Integer, ByVal index_ As Integer) As Integer
	Public Declare Function Td_Config_Timing_Acquisition Lib "tedia_DAQ01" (ByVal handle As Integer, ByRef frequency As Double, ByRef period As Double) As Integer
	Public Declare Function Td_Config_Timing_Generating Lib "tedia_DAQ01" (ByVal handle As Integer, ByRef frequency As Double, ByRef period As Double) As Integer
    Public Declare Function Td_Driver_Version Lib "tedia_DAQ01" (ByRef version_hi As Long, ByRef version_low As Long, ByVal Select1 As Long) As Long
	'UPGRADE_ISSUE: The preceding line couldn't be parsed. Click for more: 'ms-help://MS.VSExpressCC.v80/dv_commoner/local/redirect.htm?keyword="82EBB1AE-1FCB-4FEF-9E6C-8736A316F8A7"'
	Public Declare Function Td_Get_Buffer_Data Lib "tedia_DAQ01" (ByVal handle As Integer, ByRef buffer As Integer, ByVal size_buffer As Integer, ByRef recorded_row As Integer) As Integer
	Public Declare Function Td_Get_Buffer_Status Lib "tedia_DAQ01" (ByVal handle As Integer, ByRef count_new_row As Integer) As Integer
	Public Declare Function Td_Get_Counter Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal index_of_counter As Integer, ByRef buffer As Integer, ByVal number_of_counters As Integer, ByVal source As Integer) As Integer
	Public Declare Function Td_Get_Counter_Status Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal index_of_counter As Integer, ByVal name_of_parameter As Integer, ByRef value As Integer) As Integer
	Public Declare Function Td_Get_DeviceName Lib "tedia_DAQ01" (ByVal Name As String, ByVal index_of_device As Integer) As Integer
	Public Declare Function Td_Get_DeviceType Lib "tedia_DAQ01" (ByVal name_of_type As String, ByVal index_of_type As Integer) As Integer
	Public Declare Function Td_Get_DI Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal index_of_input As Integer, ByRef buffer As Integer, ByVal number_of_inputs As Integer) As Integer
	'UPGRADE_NOTE: error was upgraded to error_Renamed. Click for more: 'ms-help://MS.VSExpressCC.v80/dv_commoner/local/redirect.htm?keyword="A9E4979A-37FA-4718-9994-97DD76ED70A7"'
	Public Declare Function Td_Get_ErrorMessage Lib "tedia_DAQ01" (ByVal error_Renamed As Integer, ByVal name_of_function As String, ByVal name_of_error As String) As Integer
	Public Declare Function Td_Get_Generating_Status Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal name_of_parameter As Integer, ByRef result As Integer) As Integer
	Public Declare Function Td_Get_Info_DeviceName Lib "tedia_DAQ01" (ByVal Name As String, ByVal name_of_parameter As Integer, ByRef numerical_result As Double, ByVal alphanumeric_result As String, ByRef type_of_result As Integer) As Integer
	Public Declare Function Td_Get_Info_DeviceType Lib "tedia_DAQ01" (ByVal name_of_type As String, ByVal name_of_parameter As Integer, ByRef numerical_result As Double, ByVal alphanumeric_result As String, ByRef type_of_result As Integer) As Integer
	Public Declare Function Td_Get_Number_Of_Devices Lib "tedia_DAQ01" (ByRef number_of_devices As Integer) As Integer
	Public Declare Function Td_Get_Number_Of_Types Lib "tedia_DAQ01" (ByRef number_of_types As Integer) As Integer
	Public Declare Function Td_Get_Parameters Lib "tedia_DAQ01" (ByRef handle As Integer, ByVal parameter As Integer, ByRef numerical_result As Double, ByVal alphanumeric_input As String, ByRef type_of_result As Integer) As Integer
	Public Declare Function Td_Get_SingleAcquisition Lib "tedia_DAQ01" (ByVal handle As Integer, ByRef buffer As Integer, ByVal size_of_buffer As Integer) As Integer
	Public Declare Function Td_Get_State_Buffer_Data_Input Lib "tedia_DAQ01" (ByVal handle As Integer, ByRef state As Integer) As Integer
	Public Declare Function Td_Init_Driver Lib "tedia_DAQ01" (ByRef handle As Integer, ByVal Name As String) As Integer
	Public Declare Function Td_Load_Counter Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal source As Integer) As Integer
	Public Declare Function Td_Load_Counter_Status Lib "tedia_DAQ01" (ByVal handle As Integer) As Integer
	Public Declare Function Td_Read_DevEE Lib "tedia_DAQ01" (ByRef handle As Integer, ByVal index_of_page As Integer, ByRef buffer As Integer) As Integer
	Public Declare Function Td_Save_Counter Lib "tedia_DAQ01" (ByVal handle As Integer) As Integer
	Public Declare Function Td_Save_Counter_Parameters Lib "tedia_DAQ01" (ByVal handle As Integer) As Integer
	Public Declare Function Td_Save_StartStop_Counter Lib "tedia_DAQ01" (ByVal handle As Integer) As Integer
	Public Declare Function Td_Set_AO Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal index_of_output As Integer, ByRef buffer As Integer, ByVal number_of_outputs As Integer) As Integer
	Public Declare Function Td_Set_Buffer_Data Lib "tedia_DAQ01" (ByVal handle As Integer, ByRef buffer As Integer, ByVal size_buffer As Integer, ByRef number_of_set As Integer) As Integer
	Public Declare Function Td_Set_Counter Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal index_of_counter As Integer, ByRef buffer As Integer, ByVal number_of_counters As Integer) As Integer
	Public Declare Function Td_Set_Counter_Parameters Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal index_of_counter As Integer, ByVal name_of_parameter As Integer, ByVal value As Integer) As Integer
	Public Declare Function Td_Set_DO Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal index_of_output As Integer, ByRef buffer As Integer, ByVal number_of_outputs As Integer) As Integer
	Public Declare Function Td_Set_Parameters Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal name_of_parameter As Integer, ByVal numerical_input As Double, ByVal alphanumeric_input As String, ByVal type_of_input As Integer, ByRef permanency As Integer) As Integer
	Public Declare Function Td_Size_DevEE Lib "tedia_DAQ01" (ByVal handle As Integer, ByRef size As Integer) As Integer
	Public Declare Function Td_Start_Acquisition Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal p_mode As Integer) As Integer
	Public Declare Function Td_Start_Counter Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal index_of_counter As Integer) As Integer
	Public Declare Function Td_Start_Generating Lib "tedia_DAQ01" (ByVal handle As Integer) As Integer
	Public Declare Function Td_Stop_Acquisition Lib "tedia_DAQ01" (ByVal handle As Integer) As Integer
	Public Declare Function Td_Stop_Counter Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal index_of_counter As Integer) As Integer
	Public Declare Function Td_Stop_Generating Lib "tedia_DAQ01" (ByVal handle As Integer) As Integer
	Public Declare Function Td_Visual_Administrate Lib "tedia_DAQ01" () As Integer
	Public Declare Function Td_Visual_Parameters Lib "tedia_DAQ01" (ByVal handle As Integer) As Integer
	Public Declare Function Td_Wait_For_IRQ Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal timeout As Integer, ByRef status As Integer, ByRef result_IRQ As Integer) As Integer
	Public Declare Function Td_Write_DevEE Lib "tedia_DAQ01" (ByVal handle As Integer, ByVal index_of_page As Integer, ByRef buffer As Integer) As Integer
End Module