VERSION 5.00
Begin VB.Form example_counter 
   Caption         =   "Pklad vyuit PCT7303"
   ClientHeight    =   1290
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3300
   LinkTopic       =   "Form1"
   ScaleHeight     =   1290
   ScaleWidth      =   3300
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer ExecuteTimer 
      Enabled         =   0   'False
      Interval        =   100
      Left            =   2880
      Top             =   120
   End
   Begin VB.CommandButton ZeroCNT2 
      Caption         =   "Nuluj"
      Height          =   255
      Left            =   1920
      TabIndex        =   8
      Top             =   840
      Width           =   975
   End
   Begin VB.CommandButton ZeroCNT1 
      Caption         =   "Nuluj"
      Height          =   255
      Left            =   1920
      TabIndex        =   7
      Top             =   480
      Width           =   975
   End
   Begin VB.CommandButton ZeroCNT0 
      Caption         =   "Nuluj"
      Height          =   255
      Left            =   1920
      TabIndex        =   6
      Top             =   120
      Width           =   975
   End
   Begin VB.TextBox Text3 
      Height          =   285
      Left            =   840
      TabIndex        =   4
      Text            =   "0"
      Top             =   840
      Width           =   975
   End
   Begin VB.TextBox Text2 
      Height          =   285
      Left            =   840
      TabIndex        =   2
      Text            =   "0"
      Top             =   480
      Width           =   975
   End
   Begin VB.TextBox Text1 
      Height          =   285
      Left            =   840
      TabIndex        =   0
      Text            =   "0"
      Top             =   120
      Width           =   975
   End
   Begin VB.Label Label3 
      Caption         =   "ta 2"
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   885
      Width           =   855
   End
   Begin VB.Label Label2 
      Caption         =   "ta 1"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   525
      Width           =   855
   End
   Begin VB.Label Label1 
      Caption         =   "ta 0"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   165
      Width           =   855
   End
End
Attribute VB_Name = "example_counter"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim Ihandle As Long  'Handle otevrene karty
Dim Fis_open As Boolean 'Priznak: karta je otevrena


' Prijme chybovy kod a zobrazi chybu, nenastala-li chyba vraci true
Public Function ResolveError(result_ As Integer) As Boolean
  Dim function_ As String
  Dim error_ As String
  
  function_ = "                            "
  error_ = "                                                                                  "
  
  ResolveError = True
  If result_ <> 0 Then
    result_ = Td_Get_ErrorMessage(result_, function_, error_)
    result_ = MsgBox(function_, 0, error_, "", 1000)
    ResolveError = False
  End If
End Function

Public Sub ClearCounter(counter As Integer)
  Dim value As Long
  value = 0
 
  If (ResolveError(Td_Set_Counter(Ihandle, counter, value, 1))) Then
    ResolveError (Td_Save_Counter(Ihandle))
  End If
End Sub
  

Private Sub ExecuteTimer_Timer()
  Dim value As Long
  If (ResolveError(Td_Load_Counter(Ihandle, 0))) Then
    If (ResolveError(Td_Get_Counter(Ihandle, 0, value, 1, 0))) Then
      Text1.Text = value
    End If
      
    If (ResolveError(Td_Get_Counter(Ihandle, 1, value, 1, 0))) Then
      Text2.Text = value
    End If
      
    If (ResolveError(Td_Get_Counter(Ihandle, 2, value, 1, 0))) Then
      Text3.Text = value
    End If
  End If
End Sub

Private Sub Form_Load()
  Dim I As Long
  Dim result_ As Long
  Dim n_param As Double
  Dim t_param As Long
  
  Dim device_type As String
  Dim need_type As String
  device_type = "                            "
  
  'Zavolani funkce Td_Get_CardList a zjisteni karet aktivnich v regisrech
  result_ = Td_Init_Driver(Ihandle, "EXAM_COUNTER")
  If result_ <> 0 Then
    result_ = MsgBox("Nenalezena pouiteln zazen pro tento pklad, pojmenujte kartu EXAM_COUNTER!", 0, "", "", 1000)
    End
  End If
  
  Fis_open = True
  
  'If (Not (ResolveError(Td_Get_Info_DeviceName("EXAM_COUNTER", INFO_NAME_type_name, n_param, device_type, t_param)))) Then    ' Rozsah citace
  '  GoTo end_line
  'End If
    
    
  'Nastaveni parametru zarizeni
  '-----------------------------------------------------------------------------
  
  For I = 0 To 2
    If (Not (ResolveError(Td_Set_Counter_Parameters(Ihandle, I, SET_CNT_CWReg, 5)))) Then ' Rezim citani
      GoTo end_line
    End If
        
    If (Not (ResolveError(Td_Set_Counter_Parameters(Ihandle, I, SET_CNT_range, 10000)))) Then    ' Rozsah citace
      GoTo end_line
    End If
      
    If (Not (ResolveError(Td_Save_Counter_Parameters(Ihandle)))) Then                            ' Ulozeni parametru
      GoTo end_line
    End If
    
    If (Not (ResolveError(Td_Start_Counter(Ihandle, I)))) Then                                   ' Odstartovani citani
      GoTo end_line
    End If
      
    If (Not (ResolveError(Td_Save_StartStop_Counter(Ihandle)))) Then
      GoTo end_line
    End If
    
    ClearCounter (I)                                                              ' Vynulovani citace
  Next I
  
  ExecuteTimer.Enabled = True
  
end_line:
End Sub


Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
  Dim result_ As Long
  ExecuteTimer.Enabled = False
  If Fis_open Then  'Ukoncuji formular =>zavru spojeni
    result_ = Td_Close_Driver(Ihandle)
    If result_ <> 0 Then
      result_ = MsgBox("Nepodarilo se ukoncit spojeni s kartou!", 0, "", "", 1000)
    End If
    Fis_open = False
  End If
End Sub

Private Sub ZeroCNT0_Click()
  ClearCounter (0) ' Vynulovani citace
End Sub

Private Sub ZeroCNT1_Click()
  ClearCounter (1) ' Vynulovani citace
End Sub

Private Sub ZeroCNT2_Click()
  ClearCounter (2) ' Vynulovani citace
End Sub
